Overview of ZSoft Uninstaller

 The ZSoft Uninstaller Interface
Overview of ZSoft Uninstaller

ZSoft Uninstaller 2.2.5 is the better and easier way to uninstall programs on your computer.
Location and uninstalling a program with ZSoft Uninstaller 2.2.5 is as easy as clicking a button:
  • Scroll the list or use the search function
  • Select the program you want to uninstall and choose uninstall from the menu in the top of the program, or right-click on it and choose uninstall.
ZSoft Uninstaller 2.2.5 is capable of finding programs that most likely already is uninstalled, but still remains in you registry and allows you to remove the reference. This results in a cleaner registry.

ZSoft Uninstaller 2.2.5 is superior than the build-in function in Microsoft Windows, among other things it enables you to:
  • Search
  • Delete entry's from programs that is no longer installed
  • Automatically find entry's from programs that are most likely already uninstalled
  • Hide entries from the list that you are never going to uninstall (Windows updates etc.) making the list smaller and therefore easier to manage.
  • Automatically find entry's that are considered "crap-ware"
  • Export the current list to a TXT file
  • Show more information than available though add/remove
  • Find and delete temporary files
  • Analyse an installation so it can be completely uninstalled
As always, if you have an idea fell free to post it in the forum, it might just get added in another release.


Using ZSoft Uninstaller as a Add/Remove Replacement

 The Right-click menu
Using ZSoft Uninstaller as a Add/Remove Replacement

ZSoft Uninstaller can search the list of installed software very easy.

All you have to do is type the search string in the search-box located at the left side of the program. In the right side, where the list is located, the list will instantly be updated to reflect you search.

Every item in the list have an icon. It can either be a green "correct mark" or a red cross. If it is green everything should be allright. If its red it means that the program is probably already uninstalled and it's a so called "dead link".

The filters sub-menu ZSoft Uninstaller includes a filter that enables you to show only these items.
Go to the menubar in the top, point you mouse at Filters and click it. Then press "Only show 'dead links'".
A dead link is defined by an item in the uninstalllation list that ZSoft Uninstaller has determined not to work because the exe-file the uninstall string points to doesn't exist. If the program exists or if the string points to msiexec.exe, rundll32, regsvr32 or rundll.exe it will not be considered a dead link!

In this menu you also find "only show crapware" and "Don't show hidden 'links'".
The former filters the list to only show things that are considdered "crapware". This is: Alexa, Aureate, Gator, BonziBuddy, HotBar, CyDoor, New.net, SaveNow, B3D Projector, WebHancer, Xupiter, OnFlow, Aureate, Radiate, CoolWebSearch, PurityScan, N-Case, msbbb, GAIN, CWS, Transponder, vx2, ISTbar, AUpdate, KeenValue, Internet Optimizer, Perfect Keylogger, TIBS Dialer.
Please note that this function is NOT perfect, for example you could have an application named "Company-softworks Internet Optimizer Pro" (just made that up ;) which winds up in the remains without it actually being crapware, so before you uninstall anything do a little researching yourself!

The later will filter out programs you have put into the "hide list".

The Right-click menu If you find a dead link, theres really no reason for it to stay in the registry, and therefor you can delete it. Right-clicking on the list brings forth a menu. When choosing "Delete" (or by simply pressing the Delete key on you keyboard) you will be asked if you are sure, and if you are, it will be deleted.

Also in the right-click-menu we have the "Hide" button, wich adds the program to the hide lis. If the "Don't show hidden 'links'" option is enabled it will now be shown. This is usefull for programs you will never uninstall, and therefor shouldn't be bothered with (this could for instance be Windows Updates).

Also there is an "Uninstall" and a "Show/Edit Info" button. The former will start the uninstalltion procedure, try to guess where the program was installed, and, if the folder was not removed, ask the user if (s)he wan't so remove it, the later you can read more about here.

In the "File" menu in the top you have 2 options: Export the CURRENTLY SHOWN list to a text file or close the program. | The File sub-menu
In the "Functions" menu in the top you also have 2 options: You can either update the list or check the Internet for updates of ZSoft Uninstaller. | The Functions sub-menu
In the "Settings" menu in the top you have 3 options. You can toggle the grid lines on or off. You can show a list of the programs you have chosen to hide, and delete them from the hide filter so they again will be shown eventhough the "don't show hidden 'links'" is enabled. You can chose a new font for the list - this might be useable for people needing a special font or encoding set to view some special characters. | The Settings sub-menu
In the "Language" menu you can chose among the avalable languages. These are shown in the picture to the right. If you language is not avalable you can easyly translate it to you language youself. In the directory where you installed ZSoft Uninstaller there is a subdirectory called "lang". In this folder all the language files are located. To translate ZSoft Uninstaller simply make a copy of the english language file, rename it to you language, open the file with a text editor (notepad can do the trick) and translate everything in it. | The Language sub-menu
In the "Help" menu in the top you can get help (this help file is what you get), go to ZSoft Uninstaller authors website and show some info about the program. | The Help sub-menu


What makes ZSoft Uninstaller so much better that Add/Remove

ZSoft Uninstaller can do 3 "big things" that the build in function in windows just can't do.

It can show more information than available though add/remove.
It can find and delete temporary files.
It can analyse an installation so it can be completely uninstalled.

Finding temporary files
The temporary files finder form You can access this feature though the toolbar by clicking "Temp File Finder".

All you really have to do is choose a drive from the drop-down list and click search. Then the program will search the drive for files that are considered temporary and will, though a right-click menu allow you to either delete it for good, or back it up and the delete it so you can re-create it though the "Backups" button.

Normally the C-drive contains the most temporary files.

Show extra information
The Show/Edit Info form You can get extra information about a program in the list by right-clicking on an item and selecting the "Show/Edit Info" button. This will bring up the dialog shown to the right.

Here you can see all the string information from the registry, and like that's now enough you can change, remove, and/or add a new one by right-clicking.

The right-click menu in the Show/Edit Info form At the right the right-click menu are shown.
By right-clicking on an item and selecting "Change" you can edit the information it holds.
By right-clicking on an item and selection "Remove" it will be deleted.
By right-clicking anywhere and selection "Add New Item" you can do exactly that.

Analysing an installation
The Analyse form By clicking on the "Analyze" button on the toolbar, the dialog shown on the right is brought up. It gives you 2 choices: Analysing an installation, or uninstalling a previously analysed installation.

The later will give you a screen where you can choose among the analysed installations.
Before being able to uninstall you have to confirm that you do it at you own responsibility and won't kill me if anything goes wrong.

You can also uninstall an analysed installation (and, as the only place, rename and delete them) from the "Analyzed Programs" tab next to the "Installed Programs" tab in the main menu.

The Analyse form By choosing the first option you can choose which drives you want to analyse, the press the "Before Installation" button and let the program do it's thing.
When it's finished you should install the application in question, and perhaps run it and close it once before pressing the second button - "After Installation".

When the after installation is finished it will ask you for something to name the analysed installation before comparing the before and after "image".

This whole procedure naturally takes some time, but allows you to uninstall a program completely.
If a file have been added it will be registered, and deleted upon uninstallation.
If a registry entry have been added (if it's not a binary registry entry) it will be deleted upon uninstallation.
If a registry entry have been deleted (if it's not a binary registry entry) it will be re-created upon uninstallation.

If anything, upon uninstallation could not be deleted, the program will try to delete the files and/or registry entrys the next time you open the program, and continue to try every time until the files are gone.


About ZSoft Uninstaller

About of ZSoft Uninstaller

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to use this software for non-commercial purpose only.

This program includes code from the following projects:
  • Toolbar2000 & TBX (for components that make this program look good)
  • Indy (for components enabling the internet)
  • Wisnu Aribowo (for the scrolling text component)
Executable packed with UPX
Installer powered by NSIS
Splashscreen made with The Gimp For Windows

This software is copyright (C) 2004-2005 ZSoft Software.
Portions of this software are Copyright (c) 1993 - 2003, Chad Z. Hower (Kudzu) and the Indy Pit Crew - IndyProject.org